{% extends "main/pjax_base.html" %}

{% load static %}

{% block title %}
    {{ info.pseudonym }}
{% endblock %}

{% block pjax_content %}
    <div class="container section">
        {% if url_username == user.username %}
            <div class="user-control-buttons">
                <a href="{% url 'new_track' %}" class="btn main-btn" data-pjax>Add new track</a>
                <a href="{% url 'my_tracks' %}" class="btn main-btn-dark" data-pjax>My tracks</a>
                <a href="#" class="btn main-btn-dark" data-pjax>My Artists</a>
                <a href="{% url 'edit-profile' %}" class="btn main-btn-dark" data-pjax>Edit profile</a>
            </div>
        {% endif %}
        <div class="profile-info white-content">
            {% if info.cover %}
                <div class="profile-cover" style="background-image: url({{ info.cover.url }})"></div>
            {% endif %}
            <div class="row content">
                <div class="col-md-3">
                    {% if info.avatar %}
                        <div class="profile-avatar" style="background-image: url({{ info.avatar.url }})"></div>
                    {% endif %}
                    <p class="statistic">
                        <a href="#">Tracks</a>: 19<br>
                        <a href="#">Followers</a>: 77.667<br>
                        <a href="#">Following</a>: 2
                    </p>
                </div>
                <div class="col-md-5">
                    <h3>
                        {{ info.pseudonym }}
                        {% if info.is_verified %}
                            <i class="fa fa-check-circle verified" aria-hidden="true"></i>
                        {% endif %}
                    </h3>
                    {% if info.bio %}
                        <p>
                            <h5>Info</h5>
                            <div>{{ info.bio }}</div>
                        </p>
                    {% endif %}
                    {% if url_username != user.username %}
                        <a href="#" class="btn main-btn">Follow</a>
                    {% endif %}
                </div>
                <div class="col-md-4">
                    <h5>Micro-blog</h5>
                    <div class="micro-blog-posts">
                        <div class="micro-blog-post">
                            <div class="author">
                                @{{ info.username }}
                                <span class="date">14.03.21</span>
                            </div>
                            <div class="text">
                                I didn't have an account in mysound. It's not me. I'm being held hostage. Help me
                            </div>
                        </div>
                        <div class="micro-blog-post">
                            <div class="author">
                                @{{ info.username }}
                                <span class="date">14.03.21</span>
                            </div>
                            <div class="text">
                                I didn't have an account in mysound. It's not me. I'm being held hostage. Help me
                            </div>
                        </div>
                        <div class="micro-blog-post">
                            <div class="author">
                                @{{ info.username }}
                                <span class="date">14.03.21</span>
                            </div>
                            <div class="text">
                                I didn't have an account in mysound. It's not me. I'm being held hostage. Help me
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="section profile-tracks white-content">
            <h3 style="color: #D32F2F">Tracks</h3>
            <div class="row">
                {% include 'tracks/tracks_generation.html' with pseudonym=info.pseudonym %}
            </div>
        </div>
    </div>
{% endblock %}